List Mail Items

List mail items for your account. A Mail Item is a unit of physical mail received at a Lockbox. It has its own lifecycle and is the operational unit reviewers act on. Each Mail Item may produce zero or more Donations and zero or one Deposit.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

page_tokenstringOptional
The cursor to use for pagination. If not set, the first page of results will be returned.
lockbox_idstringOptional
The unique identifier for the lockbox to filter mail items by.
status.inlist of enumsOptional

Filter Mail Items to only those with the specified status. For GET requests, this should be encoded as a comma-delimited string, such as ?status.in=needs_review,processing.

Allowed values:
created_at.afterdatetimeOptional
Return mail items created after the given date and time.
created_at.beforedatetimeOptional
Return mail items created before the given date and time.

Response headers

X-Request-IdstringOptional
The unique identifier for the request

Response

The response for MailItems.list
resultslist of objectsOptional
next_page_tokenstringOptional

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error